/**
 * @template T
 */
export class AbstractArrayIterator {
    /**
     *
     * @param {T[]} data
     */
    initialize(data) {
        /**
         *
         * @type {T[]}
         * @protected
         */
        this.__data = data;
    }

    /**
     * @param {{value:T, done:boolean}} result
     */
    next(result) {

    }
}
